<nz-table #table [nzData]="list" [nzLoading]="isLoading" nzSize="small">
  <thead>
    <tr>
      <th>Entity</th>
      <th>Action</th>
      <th>Details</th>
      <th>Date and time</th>
      <th>Agent</th>
      <th>IP Address</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of table.data">
      <td>
        <a [routerLink]="[data.entity.type, data.entity.id]">{{ data.entity.name }}</a>
      </td>
      <td>{{ data.action }}</td>
      <td>{{ data.payload }}</td>
      <td>{{ data.createdOn }}</td>
      <td>{{ data.agent }}</td>
      <td>{{ data.ipAddress }}</td>
    </tr>
  </tbody>
</nz-table>
